VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL dbLcd(7:0)
        SIGNAL XLXN_7
        SIGNAL XLXN_9(6:0)
        SIGNAL XLXN_10(63:0)
        SIGNAL reset
        SIGNAL clk
        SIGNAL Cs1Lcd
        SIGNAL Cs2Lcd
        SIGNAL XLXN_22(63:0)
        SIGNAL XLXN_23(6:0)
        SIGNAL EnLcd
        SIGNAL RsLcd
        SIGNAL RwLcd
        SIGNAL RetLcd
        SIGNAL jc4
        SIGNAL jc3
        SIGNAL jc2
        SIGNAL jc1
        SIGNAL dbLcd(0)
        SIGNAL dbLcd(1)
        SIGNAL dbLcd(2)
        SIGNAL dbLcd(3)
        SIGNAL dbLcd(4)
        SIGNAL dbLcd(5)
        SIGNAL dbLcd(6)
        SIGNAL dbLcd(7)
        SIGNAL ja1
        SIGNAL ja2
        SIGNAL ja3
        SIGNAL ja4
        SIGNAL jb1
        SIGNAL jb2
        SIGNAL jb3
        SIGNAL jb4
        SIGNAL jd3
        SIGNAL jd4
        SIGNAL XLXN_59
        SIGNAL XLXN_60
        SIGNAL XLXN_61
        SIGNAL XLXN_62
        SIGNAL XLXN_63
        PORT BiDirectional dbLcd(7:0)
        PORT Input reset
        PORT Input clk
        PORT Output Cs1Lcd
        PORT Output Cs2Lcd
        PORT Output EnLcd
        PORT Output RsLcd
        PORT Output RwLcd
        PORT Output RetLcd
        PORT Output jc4
        PORT Output jc3
        PORT Output jc2
        PORT Output jc1
        PORT Output ja1
        PORT Output ja2
        PORT Output ja3
        PORT Output ja4
        PORT Output jb1
        PORT Output jb2
        PORT Output jb3
        PORT Output jb4
        PORT Output jd3
        PORT Output jd4
        BEGIN BLOCKDEF lcdswctrl
            TIMESTAMP 2006 1 2 15 41 34
            LINE N 64 -288 0 -288 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -172 64 -148 
            LINE N 0 -160 64 -160 
            RECTANGLE N 64 -320 320 128 
            LINE N 324 32 388 32 
            LINE N 320 96 384 96 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF videoram
            TIMESTAMP 2006 1 2 14 47 56
            RECTANGLE N 64 -512 320 -128 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 384 -480 320 -480 
            LINE N 384 -416 320 -416 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 0 -160 64 -160 
            RECTANGLE N 320 -204 384 -180 
            LINE N 320 -192 384 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
        END BLOCKDEF
        BEGIN BLOCKDEF ck_div
            TIMESTAMP 2006 1 2 14 54 0
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 2 2 12 37 29
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 2 2 12 37 29
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF temporary
            TIMESTAMP 2006 1 2 15 54 18
            RECTANGLE N 64 -128 320 0 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2001 2 2 12 37 45
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2001 2 2 12 35 54
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 lcdswctrl
            PIN ck XLXN_59
            PIN reset reset
            PIN RamData(63:0) XLXN_10(63:0)
            PIN EnLcd EnLcd
            PIN RsLcd RsLcd
            PIN RwLcd RwLcd
            PIN sw(7:0)
            PIN RamAdr(6:0) XLXN_9(6:0)
            PIN Cs1Lcd Cs1Lcd
            PIN Cs2Lcd Cs2Lcd
            PIN RetLcd RetLcd
            PIN dbLcd(7:0) dbLcd(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 videoram
            PIN ckA XLXN_61
            PIN EnA XLXN_61
            PIN WeA XLXN_61
            PIN ckB XLXN_59
            PIN EnB XLXN_7
            PIN InDataA(63:0) XLXN_22(63:0)
            PIN AdrA(6:0) XLXN_23(6:0)
            PIN OutDataA(63:0)
            PIN OutDataB(63:0) XLXN_10(63:0)
            PIN AdrB(6:0) XLXN_9(6:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 ck_div
            PIN ck clk
            PIN ck3MHz XLXN_60
            PIN ck1KHz
            PIN ck24Hz
        END BLOCK
        BEGIN BLOCK XLXI_4 vcc
            PIN P XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_5 gnd
            PIN G XLXN_61
        END BLOCK
        BEGIN BLOCK XLXI_9 temporary
            PIN data(63:0) XLXN_22(63:0)
            PIN adr(6:0) XLXN_23(6:0)
        END BLOCK
        BEGIN BLOCK XLXI_10 obuf
            PIN I RetLcd
            PIN O jc4
        END BLOCK
        BEGIN BLOCK XLXI_11 obuf
            PIN I RwLcd
            PIN O jc3
        END BLOCK
        BEGIN BLOCK XLXI_12 obuf
            PIN I RsLcd
            PIN O jc2
        END BLOCK
        BEGIN BLOCK XLXI_13 obuf
            PIN I EnLcd
            PIN O jc1
        END BLOCK
        BEGIN BLOCK XLXI_14 obuf
            PIN I dbLcd(0)
            PIN O ja1
        END BLOCK
        BEGIN BLOCK XLXI_15 obuf
            PIN I dbLcd(1)
            PIN O ja2
        END BLOCK
        BEGIN BLOCK XLXI_16 obuf
            PIN I dbLcd(2)
            PIN O ja3
        END BLOCK
        BEGIN BLOCK XLXI_17 obuf
            PIN I dbLcd(3)
            PIN O ja4
        END BLOCK
        BEGIN BLOCK XLXI_18 obuf
            PIN I dbLcd(4)
            PIN O jb1
        END BLOCK
        BEGIN BLOCK XLXI_19 obuf
            PIN I dbLcd(5)
            PIN O jb2
        END BLOCK
        BEGIN BLOCK XLXI_20 obuf
            PIN I dbLcd(6)
            PIN O jb3
        END BLOCK
        BEGIN BLOCK XLXI_21 obuf
            PIN I dbLcd(7)
            PIN O jb4
        END BLOCK
        BEGIN BLOCK XLXI_22 obuf
            PIN I Cs1Lcd
            PIN O jd3
        END BLOCK
        BEGIN BLOCK XLXI_23 obuf
            PIN I Cs2Lcd
            PIN O jd4
        END BLOCK
        BEGIN BLOCK XLXI_24 bufg
            PIN I XLXN_60
            PIN O XLXN_59
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_2 1216 1056 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_1 1728 960 R0
        END INSTANCE
        BEGIN BRANCH dbLcd(7:0)
            WIRE 2112 928 2400 928
            WIRE 2400 928 2736 928
            WIRE 2400 928 2400 992
            WIRE 2400 992 2400 1056
            WIRE 2400 1056 2400 1120
            WIRE 2400 1120 2400 1184
            WIRE 2400 1184 2400 1248
            WIRE 2400 1248 2400 1312
            WIRE 2400 1312 2400 1376
            WIRE 2400 1376 2400 1440
            WIRE 2400 1440 2400 1472
        END BRANCH
        BEGIN INSTANCE XLXI_3 704 432 R0
        END INSTANCE
        BEGIN BRANCH XLXN_7
            WIRE 1600 640 1680 640
            WIRE 1680 560 1680 640
        END BRANCH
        INSTANCE XLXI_4 1616 560 R0
        BEGIN BRANCH XLXN_9(6:0)
            WIRE 1600 800 1728 800
        END BRANCH
        BEGIN BRANCH XLXN_10(63:0)
            WIRE 1600 864 1728 864
        END BRANCH
        BEGIN BRANCH clk
            WIRE 672 272 704 272
        END BRANCH
        IOMARKER 672 272 clk R180 28
        BEGIN BRANCH Cs1Lcd
            WIRE 2112 992 2224 992
            WIRE 2224 992 2256 992
            WIRE 2224 992 2224 1088
        END BRANCH
        BEGIN BRANCH Cs2Lcd
            WIRE 2112 1056 2128 1056
            WIRE 2128 1056 2256 1056
            WIRE 2128 1056 2128 1088
        END BRANCH
        INSTANCE XLXI_5 928 768 R0
        BEGIN INSTANCE XLXI_9 720 864 R0
        END INSTANCE
        BEGIN BRANCH XLXN_22(63:0)
            WIRE 1104 768 1216 768
        END BRANCH
        BEGIN BRANCH XLXN_23(6:0)
            WIRE 1104 832 1216 832
        END BRANCH
        BEGIN BRANCH EnLcd
            WIRE 2112 672 2256 672
            WIRE 2256 672 2544 672
            WIRE 2256 400 2256 672
            WIRE 2256 400 2400 400
        END BRANCH
        BEGIN BRANCH RsLcd
            WIRE 2112 736 2304 736
            WIRE 2304 736 2544 736
            WIRE 2304 464 2304 736
            WIRE 2304 464 2400 464
        END BRANCH
        BEGIN BRANCH RwLcd
            WIRE 2112 800 2336 800
            WIRE 2336 800 2544 800
            WIRE 2336 528 2336 800
            WIRE 2336 528 2400 528
        END BRANCH
        BEGIN BRANCH RetLcd
            WIRE 2112 864 2368 864
            WIRE 2368 864 2544 864
            WIRE 2368 592 2368 864
            WIRE 2368 592 2400 592
        END BRANCH
        IOMARKER 2544 672 EnLcd R0 28
        IOMARKER 2544 736 RsLcd R0 28
        IOMARKER 2544 800 RwLcd R0 28
        IOMARKER 2544 864 RetLcd R0 28
        INSTANCE XLXI_10 2400 624 R0
        INSTANCE XLXI_11 2400 560 R0
        INSTANCE XLXI_12 2400 496 R0
        INSTANCE XLXI_13 2400 432 R0
        BEGIN BRANCH jc4
            WIRE 2624 592 2656 592
        END BRANCH
        IOMARKER 2656 592 jc4 R0 28
        BEGIN BRANCH jc3
            WIRE 2624 528 2656 528
        END BRANCH
        IOMARKER 2656 528 jc3 R0 28
        BEGIN BRANCH jc2
            WIRE 2624 464 2656 464
        END BRANCH
        IOMARKER 2656 464 jc2 R0 28
        BEGIN BRANCH jc1
            WIRE 2624 400 2656 400
        END BRANCH
        IOMARKER 2656 400 jc1 R0 28
        IOMARKER 2736 928 dbLcd(7:0) R0 28
        BUSTAP 2400 992 2496 992
        BUSTAP 2400 1056 2496 1056
        BUSTAP 2400 1120 2496 1120
        BUSTAP 2400 1184 2496 1184
        BUSTAP 2400 1248 2496 1248
        BUSTAP 2400 1312 2496 1312
        BUSTAP 2400 1376 2496 1376
        BUSTAP 2400 1440 2496 1440
        INSTANCE XLXI_14 2592 1024 R0
        INSTANCE XLXI_15 2592 1088 R0
        INSTANCE XLXI_16 2592 1152 R0
        INSTANCE XLXI_17 2592 1216 R0
        INSTANCE XLXI_18 2592 1280 R0
        INSTANCE XLXI_19 2592 1344 R0
        INSTANCE XLXI_20 2592 1408 R0
        INSTANCE XLXI_21 2592 1472 R0
        BEGIN BRANCH dbLcd(0)
            WIRE 2496 992 2544 992
            WIRE 2544 992 2592 992
            BEGIN DISPLAY 2544 992 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dbLcd(1)
            WIRE 2496 1056 2512 1056
            WIRE 2512 1056 2592 1056
            BEGIN DISPLAY 2512 1056 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dbLcd(2)
            WIRE 2496 1120 2512 1120
            WIRE 2512 1120 2592 1120
            BEGIN DISPLAY 2512 1120 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dbLcd(3)
            WIRE 2496 1184 2544 1184
            WIRE 2544 1184 2592 1184
            BEGIN DISPLAY 2544 1184 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dbLcd(4)
            WIRE 2496 1248 2528 1248
            WIRE 2528 1248 2592 1248
            BEGIN DISPLAY 2528 1248 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dbLcd(5)
            WIRE 2496 1312 2528 1312
            WIRE 2528 1312 2592 1312
            BEGIN DISPLAY 2528 1312 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dbLcd(6)
            WIRE 2496 1376 2528 1376
            WIRE 2528 1376 2592 1376
            BEGIN DISPLAY 2528 1376 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dbLcd(7)
            WIRE 2496 1440 2528 1440
            WIRE 2528 1440 2592 1440
            BEGIN DISPLAY 2528 1440 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ja1
            WIRE 2816 992 2848 992
        END BRANCH
        IOMARKER 2848 992 ja1 R0 28
        BEGIN BRANCH ja2
            WIRE 2816 1056 2848 1056
        END BRANCH
        IOMARKER 2848 1056 ja2 R0 28
        BEGIN BRANCH ja3
            WIRE 2816 1120 2848 1120
        END BRANCH
        IOMARKER 2848 1120 ja3 R0 28
        BEGIN BRANCH ja4
            WIRE 2816 1184 2848 1184
        END BRANCH
        IOMARKER 2848 1184 ja4 R0 28
        BEGIN BRANCH jb1
            WIRE 2816 1248 2848 1248
        END BRANCH
        IOMARKER 2848 1248 jb1 R0 28
        BEGIN BRANCH jb2
            WIRE 2816 1312 2848 1312
        END BRANCH
        IOMARKER 2848 1312 jb2 R0 28
        BEGIN BRANCH jb3
            WIRE 2816 1376 2848 1376
        END BRANCH
        IOMARKER 2848 1376 jb3 R0 28
        BEGIN BRANCH jb4
            WIRE 2816 1440 2848 1440
        END BRANCH
        IOMARKER 2848 1440 jb4 R0 28
        IOMARKER 2256 992 Cs1Lcd R0 28
        IOMARKER 2256 1056 Cs2Lcd R0 28
        INSTANCE XLXI_22 2192 1088 R90
        INSTANCE XLXI_23 2096 1088 R90
        BEGIN BRANCH jd3
            WIRE 2224 1312 2224 1344
        END BRANCH
        IOMARKER 2224 1344 jd3 R90 28
        BEGIN BRANCH jd4
            WIRE 2128 1312 2128 1344
        END BRANCH
        IOMARKER 2128 1344 jd4 R90 28
        BEGIN BRANCH XLXN_59
            WIRE 1440 272 1632 272
            WIRE 1632 272 1632 576
            WIRE 1632 576 1632 672
            WIRE 1632 672 1728 672
            WIRE 1600 576 1632 576
        END BRANCH
        BEGIN BRANCH XLXN_60
            WIRE 1088 272 1216 272
        END BRANCH
        INSTANCE XLXI_24 1216 304 R0
        BEGIN BRANCH reset
            WIRE 688 512 1616 512
            WIRE 1616 512 1616 736
            WIRE 1616 736 1712 736
            WIRE 1712 736 1728 736
        END BRANCH
        BEGIN BRANCH XLXN_61
            WIRE 992 640 1072 640
            WIRE 1072 640 1072 704
            WIRE 1072 704 1216 704
            WIRE 1072 640 1216 640
            WIRE 1072 576 1216 576
            WIRE 1072 576 1072 640
        END BRANCH
        IOMARKER 688 512 reset R180 28
    END SHEET
END SCHEMATIC
