--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1.04i
--  \   \         Application : sch2vhdl
--  /   /         Filename : LcdDemo.vhf
-- /___/   /\     Timestamp : 05/02/2006 17:07:50
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:/Xilinx7/bin/nt/sch2vhdl.exe -intstyle ise -family spartan3 -flat -suppress -w LcdDemo.sch LcdDemo.vhf
--Design Name: LcdDemo
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity LcdDemo is
   port ( clk    : in    std_logic; 
          reset  : in    std_logic; 
          Cs1Lcd : out   std_logic; 
          Cs2Lcd : out   std_logic; 
          EnLcd  : out   std_logic; 
          ja1    : out   std_logic; 
          ja2    : out   std_logic; 
          ja3    : out   std_logic; 
          ja4    : out   std_logic; 
          jb1    : out   std_logic; 
          jb2    : out   std_logic; 
          jb3    : out   std_logic; 
          jb4    : out   std_logic; 
          jc1    : out   std_logic; 
          jc2    : out   std_logic; 
          jc3    : out   std_logic; 
          jc4    : out   std_logic; 
          jd3    : out   std_logic; 
          jd4    : out   std_logic; 
          RetLcd : out   std_logic; 
          RsLcd  : out   std_logic; 
          RwLcd  : out   std_logic; 
          dbLcd  : inout std_logic_vector (7 downto 0));
end LcdDemo;

architecture BEHAVIORAL of LcdDemo is
   attribute BOX_TYPE   : string ;
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   signal XLXN_7       : std_logic;
   signal XLXN_9       : std_logic_vector (6 downto 0);
   signal XLXN_10      : std_logic_vector (63 downto 0);
   signal XLXN_22      : std_logic_vector (63 downto 0);
   signal XLXN_23      : std_logic_vector (6 downto 0);
   signal XLXN_59      : std_logic;
   signal XLXN_60      : std_logic;
   signal XLXN_61      : std_logic;
   signal Cs1Lcd_DUMMY : std_logic;
   signal RetLcd_DUMMY : std_logic;
   signal Cs2Lcd_DUMMY : std_logic;
   signal RwLcd_DUMMY  : std_logic;
   signal RsLcd_DUMMY  : std_logic;
   signal EnLcd_DUMMY  : std_logic;
   component lcdswctrl
      port ( ck      : in    std_logic; 
             reset   : in    std_logic; 
             RamData : in    std_logic_vector (63 downto 0); 
             EnLcd   : out   std_logic; 
             RsLcd   : out   std_logic; 
             RwLcd   : out   std_logic; 
             sw      : out   std_logic_vector (7 downto 0); 
             RamAdr  : out   std_logic_vector (6 downto 0); 
             Cs1Lcd  : out   std_logic; 
             Cs2Lcd  : out   std_logic; 
             RetLcd  : out   std_logic; 
             dbLcd   : inout std_logic_vector (7 downto 0));
   end component;
   
   component videoram
      port ( ckA      : in    std_logic; 
             EnA      : in    std_logic; 
             WeA      : in    std_logic; 
             ckB      : in    std_logic; 
             EnB      : in    std_logic; 
             InDataA  : in    std_logic_vector (63 downto 0); 
             AdrA     : in    std_logic_vector (6 downto 0); 
             OutDataA : out   std_logic_vector (63 downto 0); 
             OutDataB : out   std_logic_vector (63 downto 0); 
             AdrB     : in    std_logic_vector (6 downto 0));
   end component;
   
   component ck_div
      port ( ck     : in    std_logic; 
             ck3MHz : out   std_logic; 
             ck1KHz : out   std_logic; 
             ck24Hz : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component temporary
      port ( data : out   std_logic_vector (63 downto 0); 
             adr  : out   std_logic_vector (6 downto 0));
   end component;
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "LVCMOS25";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
begin
   Cs1Lcd <= Cs1Lcd_DUMMY;
   Cs2Lcd <= Cs2Lcd_DUMMY;
   EnLcd <= EnLcd_DUMMY;
   RetLcd <= RetLcd_DUMMY;
   RsLcd <= RsLcd_DUMMY;
   RwLcd <= RwLcd_DUMMY;
   XLXI_1 : lcdswctrl
      port map (ck=>XLXN_59,
                RamData(63 downto 0)=>XLXN_10(63 downto 0),
                reset=>reset,
                Cs1Lcd=>Cs1Lcd_DUMMY,
                Cs2Lcd=>Cs2Lcd_DUMMY,
                EnLcd=>EnLcd_DUMMY,
                RamAdr(6 downto 0)=>XLXN_9(6 downto 0),
                RetLcd=>RetLcd_DUMMY,
                RsLcd=>RsLcd_DUMMY,
                RwLcd=>RwLcd_DUMMY,
                sw=>open,
                dbLcd(7 downto 0)=>dbLcd(7 downto 0));
   
   XLXI_2 : videoram
      port map (AdrA(6 downto 0)=>XLXN_23(6 downto 0),
                AdrB(6 downto 0)=>XLXN_9(6 downto 0),
                ckA=>XLXN_61,
                ckB=>XLXN_59,
                EnA=>XLXN_61,
                EnB=>XLXN_7,
                InDataA(63 downto 0)=>XLXN_22(63 downto 0),
                WeA=>XLXN_61,
                OutDataA=>open,
                OutDataB(63 downto 0)=>XLXN_10(63 downto 0));
   
   XLXI_3 : ck_div
      port map (ck=>clk,
                ck1KHz=>open,
                ck3MHz=>XLXN_60,
                ck24Hz=>open);
   
   XLXI_4 : VCC
      port map (P=>XLXN_7);
   
   XLXI_5 : GND
      port map (G=>XLXN_61);
   
   XLXI_9 : temporary
      port map (adr(6 downto 0)=>XLXN_23(6 downto 0),
                data(63 downto 0)=>XLXN_22(63 downto 0));
   
   XLXI_10 : OBUF
      port map (I=>RetLcd_DUMMY,
                O=>jc4);
   
   XLXI_11 : OBUF
      port map (I=>RwLcd_DUMMY,
                O=>jc3);
   
   XLXI_12 : OBUF
      port map (I=>RsLcd_DUMMY,
                O=>jc2);
   
   XLXI_13 : OBUF
      port map (I=>EnLcd_DUMMY,
                O=>jc1);
   
   XLXI_14 : OBUF
      port map (I=>dbLcd(0),
                O=>ja1);
   
   XLXI_15 : OBUF
      port map (I=>dbLcd(1),
                O=>ja2);
   
   XLXI_16 : OBUF
      port map (I=>dbLcd(2),
                O=>ja3);
   
   XLXI_17 : OBUF
      port map (I=>dbLcd(3),
                O=>ja4);
   
   XLXI_18 : OBUF
      port map (I=>dbLcd(4),
                O=>jb1);
   
   XLXI_19 : OBUF
      port map (I=>dbLcd(5),
                O=>jb2);
   
   XLXI_20 : OBUF
      port map (I=>dbLcd(6),
                O=>jb3);
   
   XLXI_21 : OBUF
      port map (I=>dbLcd(7),
                O=>jb4);
   
   XLXI_22 : OBUF
      port map (I=>Cs1Lcd_DUMMY,
                O=>jd3);
   
   XLXI_23 : OBUF
      port map (I=>Cs2Lcd_DUMMY,
                O=>jd4);
   
   XLXI_24 : BUFG
      port map (I=>XLXN_60,
                O=>XLXN_59);
   
end BEHAVIORAL;


