--------------------------------------------------------------------------------
-- Company: 
-- Engineer:
--
-- Create Date:    19:04:07 12/28/05
-- Design Name:    
-- Module Name:    VideoRam - Behavioral
-- Project Name:   
-- Target Device:  
-- Tool versions:  
-- Description:
--
-- Dependencies:
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
--------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity VideoRam is
  Port (ckA:      in  std_logic;
        EnA:      in  std_logic;
        WeA:      in  std_logic;
        InDataA:  in  std_logic_vector(63 downto 0);
        OutDataA: out std_logic_vector(63 downto 0);
        AdrA:     in  std_logic_vector(6 downto 0);
        ckB:      in  std_logic;
        EnB:      in  std_logic;
        OutDataB: out std_logic_vector(63 downto 0);
        AdrB:     in  std_logic_vector(6 downto 0));
end VideoRam;

architecture Behavioral of VideoRam is
-- type typeRam is array (0 to 127) of std_logic_vector(63 downto 0);
-- signal Ram: typeRam:=(
-- x"0102030405060708",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"f0f0f0f0f0f0f0f0",
-- x"00000000f0f0f0f0"
-- );

 type typeCol is array (0 to 127) of integer;

 type typeRam is array (0 to 127) of std_logic_vector(63 downto 0);
 signal Ram: typeRam;
 
 signal Col_0: typeCol:=(	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	128, 	96, 	16, 	24, 	104, 	136, 	8, 	8, 	8, 	16, 	96, 	128, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	248, 	248, 	24, 	24, 	152, 	152, 	152, 	24, 	56, 	120, 	248, 	248, 	24, 	24, 	248, 	248, 	120, 	56, 	24, 	152, 	152, 	152, 	56, 	120, 	248, 	248, 	24, 	24, 	248, 	248, 	24, 	24, 	248, 	248, 	248, 	248, 	248, 	248, 	248, 	24, 	24, 	152, 	152, 	152, 	152, 	152, 	248, 	248, 	24, 	24, 	56, 	120, 	248, 	248, 	248, 	248, 	248, 	24, 	24, 	248, 	248, 	152, 	152, 	152, 	24, 	24, 	152, 	152, 	152, 	248, 	248);  







 signal Col_1: typeCol:=(	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	128, 	64, 	48, 	12, 	3, 	0, 	128, 	192, 	192, 	128, 	0, 	3, 	12, 	48, 	64, 	128, 	0, 	3, 	12, 	48, 	64, 	128, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	255, 	255, 	0, 	0, 	63, 	63, 	63, 	31, 	128, 	192, 	255, 	255, 	0, 	0, 	255, 	255, 	192, 	128, 	31, 	63, 	51, 	19, 	131, 	195, 	255, 	255, 	0, 	0, 	255, 	255, 	0, 	0, 	63, 	63, 	63, 	63, 	63, 	255, 	255, 	0, 	0, 	57, 	57, 	57, 	63, 	63, 	255, 	255, 	0, 	0, 	254, 	252, 	248, 	241, 	227, 	199, 	143, 	0, 	0, 	255, 	255, 	255, 	255, 	255, 	0, 	0, 	255, 	255, 	255, 	255, 	255);  







 signal Col_2: typeCol:=(	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	192, 	48, 	8, 	6, 	1, 	0, 	192, 	240, 	248, 	254, 	255, 	255, 	255, 	63, 	14, 	8, 	48, 	192, 	0, 	1, 	6, 	8, 	48, 	192, 	0, 	1, 	6, 	8, 	48, 	192, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	3, 	3, 	3, 	3, 	195, 	195, 	195, 	3, 	3, 	3, 	3, 	3, 	195, 	195, 	195, 	3, 	3, 	195, 	195, 	195, 	195, 	195, 	195, 	195, 	195, 	195, 	195, 	195, 	3, 	3, 	195, 	195, 	195, 	3, 	3, 	3, 	3, 	3, 	195, 	195, 	195, 	3, 	3, 	195, 	195, 	195, 	3, 	3, 	3, 	3, 	3, 	195, 	195, 	195, 	3, 	3, 	3, 	131, 	195, 	195, 	195, 	195, 	195, 	195, 	195, 	131, 	3, 	3, 	3, 	3, 	3);  







 signal Col_3: typeCol:=(	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	128, 	96, 	24, 	6, 	1, 	0, 	128, 	96, 	184, 	22, 	171, 	85, 	171, 	119, 	31, 	7, 	1, 	0, 	0, 	0, 	0, 	0, 	0, 	1, 	6, 	24, 	96, 	148, 	0, 	81, 	6, 	88, 	96, 	128, 	0, 	1, 	6, 	24, 	96, 	128, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	255, 	255, 	255, 	62, 	248, 	224, 	128, 	0, 	255, 	255, 	255, 	0, 	0, 	255, 	255, 	255, 	193, 	193, 	193, 	193, 	193, 	193, 	1, 	1, 	0, 	0, 	1, 	7, 	31, 	127, 	252, 	240, 	252, 	127, 	31, 	7, 	1, 	0, 	0, 	1, 	7, 	31, 	127, 	252, 	240, 	252, 	127, 	31, 	7, 	1, 	0, 	0, 	127, 	255, 	255, 	227, 	193, 	193, 	193, 	131, 	143, 	15, 	15, 	0, 	0, 	0, 	0);  







 signal Col_4: typeCol:=(	0, 	0, 	0, 	0, 	0, 	0, 	0, 	128, 	96, 	16, 	12, 	3, 	0, 	128, 	96, 	16, 	76, 	3, 	170, 	128, 	106, 	16, 	14, 	3, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	3, 	12, 	17, 	100, 	209, 	164, 	83, 	172, 	80, 	224, 	128, 	0, 	3, 	12, 	16, 	96, 	128, 	0, 	0, 	0, 	0, 	255, 	255, 	255, 	0, 	0, 	3, 	15, 	62, 	255, 	255, 	255, 	0, 	0, 	255, 	255, 	255, 	193, 	193, 	193, 	193, 	193, 	193, 	192, 	192, 	0, 	0, 	192, 	240, 	252, 	127, 	31, 	7, 	31, 	127, 	252, 	240, 	192, 	0, 	0, 	192, 	240, 	252, 	127, 	31, 	7, 	1, 	0, 	0, 	0, 	0, 	0, 	0, 	120, 	248, 	248, 	225, 	193, 	193, 	193, 	227, 	255, 	255, 	126, 	0, 	0, 	0, 	0);  







 signal Col_5: typeCol:=(	0, 	0, 	0, 	192, 	48, 	12, 	2, 	1, 	0, 	192, 	48, 	12, 	2, 	1, 	0, 	196, 	177, 	140, 	130, 	129, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	128, 	129, 	131, 	143, 	191, 	255, 	255, 	255, 	254, 	252, 	240, 	192, 	128, 	1, 	2, 	12, 	48, 	64, 	129, 	1, 	1, 	0, 	0, 	0, 	0, 	192, 	193, 	193, 	193, 	192, 	192, 	129, 	1, 	1, 	1, 	1, 	129, 	193, 	193, 	193, 	193, 	129, 	0, 	0, 	1, 	1, 	1, 	128, 	192, 	192, 	128, 	0, 	1, 	1, 	1, 	192, 	192, 	193, 	193, 	193, 	192, 	128, 	0, 	0, 	0, 	192, 	192, 	192, 	192, 	192, 	192, 	128, 	1, 	1, 	1, 	1, 	1, 	1, 	1, 	0, 	0, 	0, 	0, 	0, 	0);  







 signal Col_6: typeCol:=(	8, 	22, 	33, 	64, 	128, 	224, 	152, 	134, 	129, 	128, 	128, 	128, 	136, 	142, 	143, 	143, 	143, 	143, 	143, 	143, 	139, 	141, 	138, 	141, 	138, 	141, 	138, 	141, 	138, 	137, 	140, 	137, 	138, 	140, 	137, 	138, 	136, 	140, 	137, 	136, 	138, 	136, 	140, 	137, 	136, 	136, 	138, 	136, 	136, 	136, 	136, 	136, 	136, 	136, 	136, 	136, 	136, 	136, 	136, 	136, 	72, 	41, 	30, 	8, 	0, 	0, 	0, 	0, 	255, 	255, 	204, 	204, 	204, 	204, 	127, 	51, 	0, 	0, 	63, 	127, 	225, 	192, 	192, 	225, 	127, 	63, 	0, 	0, 	254, 	255, 	25, 	24, 	24, 	25, 	255, 	254, 	0, 	0, 	255, 	255, 	12, 	28, 	60, 	108, 	199, 	131, 	0, 	0, 	255, 	255, 	192, 	192, 	192, 	225, 	127, 	63, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0);  







 signal Col_7: typeCol:=(	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0, 	0);  


begin
initRam: process(Col_0)
 begin
   for i in 0 to 127 loop
     Ram(i) <= conv_std_logic_vector(Col_7(i),8)&
               conv_std_logic_vector(Col_6(i),8)&
               conv_std_logic_vector(Col_5(i),8)&
               conv_std_logic_vector(Col_4(i),8)&
               conv_std_logic_vector(Col_3(i),8)&
               conv_std_logic_vector(Col_2(i),8)&
               conv_std_logic_vector(Col_1(i),8)&
               conv_std_logic_vector(Col_0(i),8);
   end loop;
 end process;



 process (ckA)
 begin
   if (ckA'event and ckA = '1') then
     if (EnA = '1') then
       if (WeA = '1') then
          Ram(conv_integer(AdrA)) <= InDataA;
          OutDataA <= Ram(conv_integer(AdrA));
       end if;
     end if;
   end if;
 end process;

 process (ckB)
 begin
   if (ckB'event and ckB = '1') then
     if (EnB = '1') then
        OutDataB <= Ram(conv_integer(AdrB));
     end if;
   end if;
 end process;


end Behavioral;
